this.name      		= "Emergency Energy Unit"; 
this.author    		= "Based on frame's script from his Bounty Scanner, recycled by Thargoid"; 
this.copyright 		= "Creative Commons: attribution, non-commercial, sharealike with clauses - see readme.txt";
this.description 	= "Emergency Energy Unit - amended to stop the timer if the equipment gets damaged or destroyed.";
this.version   		= "2.1";

this.shipExitedWitchspace = this.shipLaunchedFromStation = function()
	{
	if(player.ship.equipmentStatus("EQ_EEU") == "EQUIPMENT_OK")
		{	
		if(this.energyCheckTimer)
			{
			this.energyCheckTimer.start()
			}
		else
			{
			this.energyCheckTimer = new Timer(this, this.energyCheck,0,3)		
			}
		}	
	}


this.energyCheck = function()
	{
	if(player.ship.docked || player.ship.equipmentStatus("EQ_EEU") != "EQUIPMENT_OK")
		{
		this.energyCheckTimer.stop();
		}
	else
		{
		if(player.ship.energy < 50)
			{
			player.ship.energy += 100;
			player.consoleMessage("Emergency Energy Unit triggered!",6);
			player.ship.removeEquipment("EQ_EEU");
			this.energyCheckTimer.stop()
			}
		}   	        
	}

this.shipDied = function()
	{
	if(this.energyCheckTimer)
	this.energyCheckTimer.stop()
	}